<?php

namespace NF\Tickets\Alert;

use XF\Alert\AbstractHandler;

class Message extends AbstractHandler
{
    public function getEntityWith()
    {
        $visitor = \XF::visitor();

        return ['Ticket', 'Ticket.Category', 'Ticket.Category.AnonymousUser', 'Ticket.Category.Permissions|' . $visitor->permission_combination_id];
    }

    public function getOptOutActions()
    {
        return [
            'insert',
            'quote',
            'mention',
            'reaction',
        ];
    }

    public function getOptOutDisplayOrder()
    {
        return 300;
    }
}