<?php

namespace NF\Tickets\EmailTickets;

use NF\Tickets\Entity\Ticket;

class ParseResult
{
    const TYPE_TICKET = 'ticket';
    const TYPE_REPLY = 'reply';
    const TYPE_UNKNOWN = 'unknown';

    public $subject;
    public $htmlContent;
    public $textContent;

    public $date;

    public $senderName;
    public $senderEmail;
    public $senderTrusted = false;

    public $remoteStatus;
    public $remoteDiagnostics;

    public $messageType;

    /** @var Ticket|null */
    public $ticket = null;
}