<?php

namespace NF\Tickets\Pub\View\Ticket;

use XF\Mvc\Renderer\Json;
use XF\Mvc\View;

class NewMessages extends View
{
    public function renderJson()
    {
        /** @var Json $renderer */
        $renderer = $this->renderer;

        $output = [
            'html'           => null,
            'ticketInfoHtml' => $renderer->getHtmlOutputStructure($this->renderTemplate('public:nf_tickets_ticket_info_sidebar', $this->params)),
            'handleTicketHtml' => $renderer->getHtmlOutputStructure($this->renderTemplate('public:nf_tickets_handle_ticket_sidebar', $this->params))
        ];

        return $output;
    }
}