<?php

namespace NF\Tickets\Repository;


use XF\Mvc\Entity\Repository;

class KBArticle extends Repository
{
    public function logArticleView(\NF\Tickets\Entity\KBArticle $article)
    {
        $this->db()->query("
			INSERT INTO xf_nf_tickets_kb_article_view
				(kb_article_id, total)
			VALUES
				(? , 1)
			ON DUPLICATE KEY UPDATE
				total = total + 1
		", $article->kb_article_id);
    }
    
    public function batchUpdateArticleViews()
    {
        $db = $this->db();
        $db->query("
			UPDATE xf_nf_tickets_kb_article AS article
			INNER JOIN xf_nf_tickets_kb_article_view AS v ON (article.kb_article_id = v.kb_article_id)
			SET article.views = article.views + v.total
		");
        $db->emptyTable('xf_nf_tickets_kb_article_view');
    }
}