<?php

namespace NF\Tickets\Alert;

use XF\Alert\AbstractHandler;

class Ticket extends AbstractHandler
{
    public function getEntityWith()
    {
        $visitor = \XF::visitor();

        return ['Category', 'Category.AnonymousUser', 'Category.Permissions|' . $visitor->permission_combination_id];
    }

    public function getOptOutActions()
    {
        return [
            'invite',
        ];
    }

    public function getOptOutDisplayOrder()
    {
        return 300;
    }
}