<?php

namespace NF\Tickets\ControllerPlugin;

use XF\ControllerPlugin\AbstractPermission;

/**
 * Class CategoryPermission
 *
 * @package NF\Tickets\ControllerPlugin
 */
class CategoryPermission extends AbstractPermission
{
    /**
     * @var string
     */
    protected $viewFormatter = 'NF\Tickets:Permission\Category%s';

    /**
     * @var string
     */
    protected $templateFormatter = 'nf_tickets_permission_category_%s';

    /**
     * @var string
     */
    protected $routePrefix = 'permissions/ticket-categories';

    /**
     * @var string
     */
    protected $contentType = 'nf_tickets_category';

    /**
     * @var string
     */
    protected $entityIdentifier = 'NF\Tickets:Category';

    /**
     * @var string
     */
    protected $primaryKey = 'ticket_category_id';

    /**
     * @var string
     */
    protected $privatePermissionGroupId = 'ticket';

    /**
     * @var string
     */
    protected $privatePermissionId = 'view';
}