<?php

namespace NF\Tickets\ControllerPlugin;

use XF\ControllerPlugin\AbstractCategoryTree;

/**
 * Class CategoryTree
 *
 * @package NF\Tickets\ControllerPlugin
 */
class CategoryTree extends AbstractCategoryTree
{
    /**
     * @var string
     */
    protected $viewFormatter = 'NF\Tickets:Category\%s';

    /**
     * @var string
     */
    protected $templateFormatter = 'nf_tickets_category_%s';

    /**
     * @var string
     */
    protected $routePrefix = 'tickets/categories';

    /**
     * @var string
     */
    protected $entityIdentifier = 'NF\Tickets:Category';

    /**
     * @var string
     */
    protected $primaryKey = 'ticket_category_id';
}