<?php

namespace NF\Tickets\ControllerPlugin;

use XF\ControllerPlugin\AbstractCategoryTree;

/**
 * Class KBCategoryTree
 *
 * @package NF\Tickets\ControllerPlugin
 */
class KBCategoryTree extends AbstractCategoryTree
{
    /**
     * @var string
     */
    protected $viewFormatter = 'NF\Tickets:KB\Category\%s';

    /**
     * @var string
     */
    protected $templateFormatter = 'nf_tickets_kb_category_%s';

    /**
     * @var string
     */
    protected $routePrefix = 'tickets/kb/categories';

    /**
     * @var string
     */
    protected $entityIdentifier = 'NF\Tickets:KBCategory';

    /**
     * @var string
     */
    protected $primaryKey = 'kb_category_id';
}