<?php

namespace NF\Tickets\Cron;

use NF\Tickets\Entity\Category;

class TicketEmail
{
    public static function process()
    {
        $categories = \XF::finder('NF\Tickets:Category')->where('incoming_ticket_email_settings', '<>', null)->fetch();

        foreach ($categories AS $category)
        {
            /** @var Category $category */
            \XF::app()->jobManager()->enqueueUnique('nfTicketEmail.' . $category->ticket_category_id, 'NF\Tickets:TicketEmails', [
                'category' => $category->ticket_category_id
            ], false);
        }
    }
}